Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IOP::Codec_var Class Reference

`#include <IOPC.h>`

Inheritance diagram for IOP::Codec_var:

[legend]
Collaboration diagram for IOP::Codec_var:

[legend]
List of all members.

## Public Methods
| Codec_var (void)
| Codec_var (Codec_ptr p)
| Codec_var (const Codec_var &)
| ~Codec_var (void)
Codec_var & | operator= (Codec_ptr)
Codec_var & | operator= (const Codec_var &)
Codec_ptr | operator-> (void) const
| operator const Codec_ptr & () const
| operator Codec_ptr & ()
Codec_ptr | in (void) const
Codec_ptr & | inout (void)
Codec_ptr & | out (void)
Codec_ptr | _retn (void)
Codec_ptr | ptr (void) const
## Static Public Methods
Codec_ptr | tao_duplicate (Codec_ptr)
void | tao_release (Codec_ptr)
Codec_ptr | tao_nil (void)
Codec_ptr | tao_narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | tao_upcast (void *)
## Private Methods
| Codec_var (const TAO_Base_var &rhs)
Codec_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
Codec_ptr | ptr_

## Constructor & Destructor Documentation

IOP::Codec_var::Codec_var | ( | void |  | ) |

IOP::Codec_var::Codec_var | ( | Codec_ptr | p | ) | `[inline]`

IOP::Codec_var::Codec_var | ( | const Codec_var & |  | ) |

IOP::Codec_var::~Codec_var | ( | void |  | ) |

IOP::Codec_var::Codec_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

Codec_ptr IOP::Codec_var::_retn | ( | void |  | ) |

Codec_ptr IOP::Codec_var::in | ( | void |  | ) | const

Codec_ptr& IOP::Codec_var::inout | ( | void |  | ) |

IOP::Codec_var::operator Codec_ptr & | ( |  | ) |

IOP::Codec_var::operator const Codec_ptr & | ( |  | ) | const

Codec_ptr IOP::Codec_var::operator-> | ( | void |  | ) | const

Codec_var& IOP::Codec_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

Codec_var& IOP::Codec_var::operator= | ( | const Codec_var & |  | ) |

IOP::Codec_var & IOP::Codec_var::operator= | ( | Codec_ptr | p | ) |

Codec_ptr& IOP::Codec_var::out | ( | void |  | ) |

IOP::Codec_ptr IOP::Codec_var::ptr | ( | void |  | ) | const

Codec_ptr IOP::Codec_var::tao_duplicate | ( | Codec_ptr |  | ) | `[static]`

Codec_ptr IOP::Codec_var::tao_narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

Codec_ptr IOP::Codec_var::tao_nil | ( | void |  | ) | `[static]`

void IOP::Codec_var::tao_release | ( | Codec_ptr |  | ) | `[static]`

CORBA::Object* IOP::Codec_var::tao_upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

Codec_ptr IOP::Codec_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- IOPC.h
- IOPC.cpp